Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge
Class BridgeFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.BridgeFactory

    public class BridgeFactory

extends Object

Factory to create instances of common bridge entities

Nested Class Summary
`static interface` | `BridgeFactory.BridgeCreator`

Constructor Summary
`BridgeFactory()`

Method Summary
`static SWRLRuleEngineBridge` | `createBridge(OWLModel owlModel)` Create an instance of a rule engine - a random registered engine is returned.
`static SWRLRuleEngineBridge` | `createBridge(String bridgeName, OWLModel owlModel)` Create an instance of a named rule engine.
`static Set<String>` | `getRegisteredBridgeNames()`
`static boolean` | `isBridgeRegistered(String bridgeName)`
`static void` | `registerBridge(String bridgeName, BridgeFactory.BridgeCreator bridgeCreator)`
`static void` | `unregisterBridge(String bridgeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BridgeFactory

    public BridgeFactory()

Method Detail

### registerBridge

    public static void registerBridge(String bridgeName,
                                      BridgeFactory.BridgeCreator bridgeCreator)

### isBridgeRegistered

    public static boolean isBridgeRegistered(String bridgeName)

### getRegisteredBridgeNames

    public static Set<String> getRegisteredBridgeNames()

### createBridge

    public static SWRLRuleEngineBridge createBridge(OWLModel owlModel)
                                             throws SWRLRuleEngineBridgeException

  Create an instance of a rule engine - a random registered engine is returned. If no engine is registered, a NoRegisteredBridgesException is returned.

  Throws:
    `SWRLRuleEngineBridgeException`

### createBridge

    public static SWRLRuleEngineBridge createBridge(String bridgeName,
                                                    OWLModel owlModel)
                                             throws SWRLRuleEngineBridgeException

  Create an instance of a named rule engine. Throws an InvalidBridgeNameException if an engine of this name is not registered.

  Throws:
    `SWRLRuleEngineBridgeException`

### unregisterBridge

    public static void unregisterBridge(String bridgeName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.